LinuxでのASPサポート - KBA219677 - Community Translated (JA)

Version 2

    Community Translated by NoTa_4591161 Expert        Version: **

     

    Translation - English: ASP Support Under Linux – KBA219677

     

    質問:

    LinuxにフラッシュメモリのAdvanced Sector Protectionサポートを追加するにはどうすればよろしいでしょうか?

     

    回答:

    Advanced Sector ProtectionASP)は、シリアルおよびパラレルNORフラッシュの両方にさまざまなロックメカニズムを提供するフラッシュ機能です。機能には、永続保護ビット(PPB)、動的保護ビット(DYB)、パスワードモード、ロックレジスタ、セキュアシリコンセクター(ワンタイムプログラマブルフラッシュ)、ポインター保護などが含まれます。デフォルトのLinuxドライバーは、これらの拡張機能のすべてをサポートしているわけではありません。ただし、対応するパッチはサイプレスがAdvanced Sector ProtectionAPIを追加することにより提供されます。ほとんどのASP機能に対処するために、ユーザー空間から特別なioctlを発行できます。ドキュメントにはユーザーマニュアルも含まれています。ただ、技術サポートケースを開いて、カーネルのバージョンを提供し、対応するLinuxASPパッチをお願いいたします。

     

    LinuxでのASPサポート – KBA219677